Bug 1899603 - workers-rhel7 CI jobs failing: Failed to remove rollback: error running rpm-ostree cleanup
Summary: workers-rhel7 CI jobs failing: Failed to remove rollback: error running rpm-o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yu Qi Zhang
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-19 16:28 UTC by Russell Teague
Modified: 2021-02-24 15:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:35:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2241 0 None closed Bug 1899603: daemon: do not roll back on non-*COS machines 2021-01-18 02:22:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:35:31 UTC

Description Russell Teague 2020-11-19 16:28:15 UTC
Description of problem:
CI fails waiting for the machineconfigpool/worker to update after installing RHEL7 workers.

  - lastTransitionTime: "2020-11-19T15:09:25Z"
    message: 'Node ip-10-0-219-88.us-east-2.compute.internal is reporting: "Failed to remove rollback: error running rpm-ostree cleanup -r: : exec: \"rpm-ostree\": executable file not found in $PATH", Node ip-10-0-131-226.us-east-2.compute.internal is reporting: "Failed to remove rollback: error running rpm-ostree cleanup -r: : exec: \"rpm-ostree\": executable file not found in $PATH", Node ip-10-0-147-189.us-east-2.compute.internal is reporting: "Failed to remove rollback: error running rpm-ostree cleanup -r: : exec: \"rpm-ostree\": executable file not found in $PATH"'
    reason: 3 nodes are reporting degraded status on sync
    status: "True"
    type: NodeDegraded


How reproducible:
CI Job:
https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_installer/4321/pull-ci-openshift-installer-master-e2e-aws-workers-rhel7/1329424551041306624

CI Search:
https://search.ci.openshift.org/?search=error%3A+timed+out+waiting+for+the+condition+on+machineconfigpools%2Fworker&maxAge=48h&context=1&type=bug%2Bjunit&name=workers-rhel7&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 2 Michael Nguyen 2020-11-24 14:28:57 UTC
Marking as verified.  The error did not show up in ci search for the last two days.

Comment 5 errata-xmlrpc 2021-02-24 15:35:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.